org.jboss.netty.handler.codec.rtsp

## Class RtspResponseStatuses

- java.lang.Object
- - org.jboss.netty.handler.codec.rtsp.RtspResponseStatuses

    public final class RtspResponseStatuses
    extends Object

The status code and its description of a RTSP response.

### Field Summary

Fields
`static HttpResponseStatus` `AGGREGATE_OPERATION_NOT_ALLOWED` 459 Aggregate operation not allowed
`static HttpResponseStatus` `BAD_GATEWAY` 502 Bad Gateway
`static HttpResponseStatus` `BAD_REQUEST` 400 Bad Request
`static HttpResponseStatus` `CONFERENCE_NOT_FOUND` 452 Conference Not Found
`static HttpResponseStatus` `CONTINUE` 100 Continue
`static HttpResponseStatus` `CREATED` 201 Created
`static HttpResponseStatus` `DESTINATION_UNREACHABLE` 462 Destination unreachable
`static HttpResponseStatus` `FORBIDDEN` 403 Forbidden
`static HttpResponseStatus` `GATEWAY_TIMEOUT` 504 Gateway Timeout
`static HttpResponseStatus` `GONE` 410 Gone
`static HttpResponseStatus` `HEADER_FIELD_NOT_VALID` 456 Header Field Not Valid for Resource
`static HttpResponseStatus` `INTERNAL_SERVER_ERROR` 500 Internal Server Error
`static HttpResponseStatus` `INVALID_RANGE` 457 Invalid Range
`static HttpResponseStatus` `KEY_MANAGEMENT_FAILURE` 463 Key management failure
`static HttpResponseStatus` `LENGTH_REQUIRED` 411 Length Required
`static HttpResponseStatus` `LOW_STORAGE_SPACE` 250 Low on Storage Space
`static HttpResponseStatus` `METHOD_NOT_ALLOWED` 405 Method Not Allowed
`static HttpResponseStatus` `METHOD_NOT_VALID` 455 Method Not Valid in This State
`static HttpResponseStatus` `MOVED_PERMANENTLY` 301 Moved Permanently
`static HttpResponseStatus` `MOVED_TEMPORARILY` 302 Moved Temporarily
`static HttpResponseStatus` `MULTIPLE_CHOICES` 300 Multiple Choices
`static HttpResponseStatus` `NOT_ACCEPTABLE` 406 Not Acceptable
`static HttpResponseStatus` `NOT_ENOUGH_BANDWIDTH` 453 Not Enough Bandwidth
`static HttpResponseStatus` `NOT_FOUND` 404 Not Found
`static HttpResponseStatus` `NOT_IMPLEMENTED` 501 Not Implemented
`static HttpResponseStatus` `NOT_MODIFIED` 304 Not Modified
`static HttpResponseStatus` `OK` 200 OK
`static HttpResponseStatus` `ONLY_AGGREGATE_OPERATION_ALLOWED` 460 Only Aggregate operation allowed
`static HttpResponseStatus` `OPTION_NOT_SUPPORTED` 551 Option not supported
`static HttpResponseStatus` `PARAMETER_IS_READONLY` 458 Parameter Is Read-Only
`static HttpResponseStatus` `PARAMETER_NOT_UNDERSTOOD` 451 Parameter Not Understood
`static HttpResponseStatus` `PAYMENT_REQUIRED` 402 Payment Required
`static HttpResponseStatus` `PRECONDITION_FAILED` 412 Precondition Failed
`static HttpResponseStatus` `PROXY_AUTHENTICATION_REQUIRED` 407 Proxy Authentication Required
`static HttpResponseStatus` `REQUEST_ENTITY_TOO_LARGE` 413 Request Entity Too Large
`static HttpResponseStatus` `REQUEST_TIMEOUT` 408 Request Timeout
`static HttpResponseStatus` `REQUEST_URI_TOO_LONG` 414 Request-URI Too Long
`static HttpResponseStatus` `RTSP_VERSION_NOT_SUPPORTED` 505 RTSP Version not supported
`static HttpResponseStatus` `SERVICE_UNAVAILABLE` 503 Service Unavailable
`static HttpResponseStatus` `SESSION_NOT_FOUND` 454 Session Not Found
`static HttpResponseStatus` `UNAUTHORIZED` 401 Unauthorized
`static HttpResponseStatus` `UNSUPPORTED_MEDIA_TYPE` 415 Unsupported Media Type
`static HttpResponseStatus` `UNSUPPORTED_TRANSPORT` 461 Unsupported transport
`static HttpResponseStatus` `USE_PROXY` 305 Use Proxy

### Method Summary

Methods
`static HttpResponseStatus` `valueOf(int code)` Returns the `HttpResponseStatus` represented by the specified code.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONTINUE

    public static final HttpResponseStatus CONTINUE

100 Continue

#### OK

    public static final HttpResponseStatus OK

200 OK

#### CREATED

    public static final HttpResponseStatus CREATED

201 Created

#### LOW_STORAGE_SPACE

    public static final HttpResponseStatus LOW_STORAGE_SPACE

250 Low on Storage Space

#### MULTIPLE_CHOICES

    public static final HttpResponseStatus MULTIPLE_CHOICES

300 Multiple Choices

#### MOVED_PERMANENTLY

    public static final HttpResponseStatus MOVED_PERMANENTLY

301 Moved Permanently

#### MOVED_TEMPORARILY

    public static final HttpResponseStatus MOVED_TEMPORARILY

302 Moved Temporarily

#### NOT_MODIFIED

    public static final HttpResponseStatus NOT_MODIFIED

304 Not Modified

#### USE_PROXY

    public static final HttpResponseStatus USE_PROXY

305 Use Proxy

#### BAD_REQUEST

    public static final HttpResponseStatus BAD_REQUEST

400 Bad Request

#### UNAUTHORIZED

    public static final HttpResponseStatus UNAUTHORIZED

401 Unauthorized

#### PAYMENT_REQUIRED

    public static final HttpResponseStatus PAYMENT_REQUIRED

402 Payment Required

#### FORBIDDEN

    public static final HttpResponseStatus FORBIDDEN

403 Forbidden

#### NOT_FOUND

    public static final HttpResponseStatus NOT_FOUND

404 Not Found

#### METHOD_NOT_ALLOWED

    public static final HttpResponseStatus METHOD_NOT_ALLOWED

405 Method Not Allowed

#### NOT_ACCEPTABLE

    public static final HttpResponseStatus NOT_ACCEPTABLE

406 Not Acceptable

#### PROXY_AUTHENTICATION_REQUIRED

    public static final HttpResponseStatus PROXY_AUTHENTICATION_REQUIRED

407 Proxy Authentication Required

#### REQUEST_TIMEOUT

    public static final HttpResponseStatus REQUEST_TIMEOUT

408 Request Timeout

#### GONE

    public static final HttpResponseStatus GONE

410 Gone

#### LENGTH_REQUIRED

    public static final HttpResponseStatus LENGTH_REQUIRED

411 Length Required

#### PRECONDITION_FAILED

    public static final HttpResponseStatus PRECONDITION_FAILED

412 Precondition Failed

#### REQUEST_ENTITY_TOO_LARGE

    public static final HttpResponseStatus REQUEST_ENTITY_TOO_LARGE

413 Request Entity Too Large

#### REQUEST_URI_TOO_LONG

    public static final HttpResponseStatus REQUEST_URI_TOO_LONG

414 Request-URI Too Long

#### UNSUPPORTED_MEDIA_TYPE

    public static final HttpResponseStatus UNSUPPORTED_MEDIA_TYPE

415 Unsupported Media Type

#### PARAMETER_NOT_UNDERSTOOD

    public static final HttpResponseStatus PARAMETER_NOT_UNDERSTOOD

451 Parameter Not Understood

#### CONFERENCE_NOT_FOUND

    public static final HttpResponseStatus CONFERENCE_NOT_FOUND

452 Conference Not Found

#### NOT_ENOUGH_BANDWIDTH

    public static final HttpResponseStatus NOT_ENOUGH_BANDWIDTH

453 Not Enough Bandwidth

#### SESSION_NOT_FOUND

    public static final HttpResponseStatus SESSION_NOT_FOUND

454 Session Not Found

#### METHOD_NOT_VALID

    public static final HttpResponseStatus METHOD_NOT_VALID

455 Method Not Valid in This State

#### HEADER_FIELD_NOT_VALID

    public static final HttpResponseStatus HEADER_FIELD_NOT_VALID

456 Header Field Not Valid for Resource

#### INVALID_RANGE

    public static final HttpResponseStatus INVALID_RANGE

457 Invalid Range

#### PARAMETER_IS_READONLY

    public static final HttpResponseStatus PARAMETER_IS_READONLY

458 Parameter Is Read-Only

#### AGGREGATE_OPERATION_NOT_ALLOWED

    public static final HttpResponseStatus AGGREGATE_OPERATION_NOT_ALLOWED

459 Aggregate operation not allowed

#### ONLY_AGGREGATE_OPERATION_ALLOWED

    public static final HttpResponseStatus ONLY_AGGREGATE_OPERATION_ALLOWED

460 Only Aggregate operation allowed

#### UNSUPPORTED_TRANSPORT

    public static final HttpResponseStatus UNSUPPORTED_TRANSPORT

461 Unsupported transport

#### DESTINATION_UNREACHABLE

    public static final HttpResponseStatus DESTINATION_UNREACHABLE

462 Destination unreachable

#### KEY_MANAGEMENT_FAILURE

    public static final HttpResponseStatus KEY_MANAGEMENT_FAILURE

463 Key management failure

#### INTERNAL_SERVER_ERROR

    public static final HttpResponseStatus INTERNAL_SERVER_ERROR

500 Internal Server Error

#### NOT_IMPLEMENTED

    public static final HttpResponseStatus NOT_IMPLEMENTED

501 Not Implemented

#### BAD_GATEWAY

    public static final HttpResponseStatus BAD_GATEWAY

502 Bad Gateway

#### SERVICE_UNAVAILABLE

    public static final HttpResponseStatus SERVICE_UNAVAILABLE

503 Service Unavailable

#### GATEWAY_TIMEOUT

    public static final HttpResponseStatus GATEWAY_TIMEOUT

504 Gateway Timeout

#### RTSP_VERSION_NOT_SUPPORTED

    public static final HttpResponseStatus RTSP_VERSION_NOT_SUPPORTED

505 RTSP Version not supported

#### OPTION_NOT_SUPPORTED

    public static final HttpResponseStatus OPTION_NOT_SUPPORTED

551 Option not supported

### Method Detail

#### valueOf

    public static HttpResponseStatus valueOf(int code)

Returns the `HttpResponseStatus` represented by the specified code. If the specified code is a standard RTSP status code, a cached instance will be returned. Otherwise, a new instance will be returned.